package com.fs.his.mapper;

import com.fs.his.domain.FsExpress;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 快递公司Mapper接口
 *
 * @author fs
 * @date 2022-03-15
 */
public interface FsExpressMapper
{
    /**
     * 查询快递公司
     *
     * @param id 快递公司ID
     * @return 快递公司
     */
    public FsExpress selectFsExpressById(Long id);

    /**
     * 查询快递公司列表
     *
     * @param fsExpress 快递公司
     * @return 快递公司集合
     */
    public List<FsExpress> selectFsExpressList(FsExpress fsExpress);

    /**
     * 新增快递公司
     *
     * @param fsExpress 快递公司
     * @return 结果
     */
    public int insertFsExpress(FsExpress fsExpress);

    /**
     * 修改快递公司
     *
     * @param fsExpress 快递公司
     * @return 结果
     */
    public int updateFsExpress(FsExpress fsExpress);

    /**
     * 删除快递公司
     *
     * @param id 快递公司ID
     * @return 结果
     */
    public int deleteFsExpressById(Long id);

    /**
     * 批量删除快递公司
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsExpressByIds(Long[] ids);
    @Select("select * from fs_express where code=#{code}  limit 1 ")
    FsExpress selectFsExpressByCode(String code);
    @Select("select * from fs_express where oms_code=#{omsCode} ")
    FsExpress selectFsExpressByOmsCode(String omsCode);
    @Select("select * from fs_express where name=#{deliveryName} limit 1 ")
    FsExpress selectFsExpressByName(String deliveryName);
}
